Package edu.msu.cme.rdp.classifier.io

## Class LogWordPriorFileParser

- java.lang.Object
- - edu.msu.cme.rdp.classifier.io.LogWordPriorFileParser

    public class LogWordPriorFileParser
    extends java.lang.Object

A parser to parse a read containing a list of the indices of words and the log value of word prior probabilities.

### Constructor Summary

Constructors
`LogWordPriorFileParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HierarchyVersion` `createLogWordPriorArr​(java.io.Reader r, float[] arr, HierarchyVersion version)` Reads a file and saves the log word priors in an array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogWordPriorFileParser

    public LogWordPriorFileParser()

### Method Detail

#### createLogWordPriorArr

    public static HierarchyVersion createLogWordPriorArr​(java.io.Reader r,
                                                         float[] arr,
                                                         HierarchyVersion version)
                                                  throws java.io.IOException,
                                                         TrainingDataException

Reads a file and saves the log word priors in an array. Returns the version information for validation purpose. Input file format: integer follows by a tab and float each line. The first value indicates the index of a word, the second value indicates the log value of word prior probability.

Throws:
  `java.io.IOException`
  `TrainingDataException`